Package: org.apache.groovy.contracts.generation

## [Java] Class Configurator

- org.apache.groovy.contracts.generation.Configurator

-     public final class Configurator
      extends Object

  Handles `-ea` and `-da` runtime input arguments for enabling and disabling contract elements.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DISABLED_ASSERTIONS` | JVM argument prefix that disables assertions.
    `static String` | `DISABLE_PACKAGE_ASSERTIONS` | JVM argument prefix that disables assertions for a package or class.
    `static String` | `ENABLED_ASSERTIONS` | JVM argument prefix that enables assertions.
    `static String` | `ENABLE_PACKAGE_ASSERTIONS` | JVM argument prefix that enables assertions for a package or class.
    `static String` | `PACKAGE_POSTFIX` | Suffix used by the JVM to denote package-wide assertion configuration.
    `static String` | `PACKAGE_PREFIX` | Separator between assertion flags and package or class names.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `checkAssertionsEnabled(String className)` This static method is used within generated code to check whether assertions have been disabled for the current class or not.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String DISABLED_ASSERTIONS

      JVM argument prefix that disables assertions.

    - #### public static final String DISABLE_PACKAGE_ASSERTIONS

      JVM argument prefix that disables assertions for a package or class.

    - #### public static final String ENABLED_ASSERTIONS

      JVM argument prefix that enables assertions.

    - #### public static final String ENABLE_PACKAGE_ASSERTIONS

      JVM argument prefix that enables assertions for a package or class.

    - #### public static final String PACKAGE_POSTFIX

      Suffix used by the JVM to denote package-wide assertion configuration.

    - #### public static final String PACKAGE_PREFIX

      Separator between assertion flags and package or class names.

  - ### Method Detail

    - #### public static boolean checkAssertionsEnabled(String className)

      This static method is used within generated code to check whether assertions have been disabled for the current class or not.

      Parameters:
        `className` - the class name to look up in the assertion configuration
      Returns:
        whether assertion checking is enabled or not